MouseEventImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom.events
Class MouseEventImpl

    java.lang.Object
      org.apache.xerces.dom.events.EventImpl
          org.apache.xerces.dom.events.UIEventImpl
              org.apache.xerces.dom.events.MouseEventImpl

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.MouseEvent, org.w3c.dom.events.UIEvent

    public class MouseEventImpl

extends UIEventImpl
implements org.w3c.dom.events.MouseEvent

An implementation of the DOM Level 2 `MouseEvent` interface.

Version:
  $Id: MouseEventImpl.java 533574 2007-04-30 00:29:47Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`MouseEventImpl()`

Method Summary
`boolean` | `getAltKey()`
`short` | `getButton()`
`int` | `getClientX()`
`int` | `getClientY()`
`boolean` | `getCtrlKey()`
`boolean` | `getMetaKey()`
`org.w3c.dom.events.EventTarget` | `getRelatedTarget()`
`int` | `getScreenX()`
`int` | `getScreenY()`
`boolean` | `getShiftKey()`
`void` | `initMouseEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, org.w3c.dom.events.EventTarget relatedTargetArg)`

Methods inherited from class org.apache.xerces.dom.events.UIEventImpl
`getDetail, getView, initUIEvent`

Methods inherited from class org.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### MouseEventImpl

    public MouseEventImpl()

Method Detail

### getScreenX

    public int getScreenX()

  Specified by:
    `getScreenX` in interface `org.w3c.dom.events.MouseEvent`

### getScreenY

    public int getScreenY()

  Specified by:
    `getScreenY` in interface `org.w3c.dom.events.MouseEvent`

### getClientX

    public int getClientX()

  Specified by:
    `getClientX` in interface `org.w3c.dom.events.MouseEvent`

### getClientY

    public int getClientY()

  Specified by:
    `getClientY` in interface `org.w3c.dom.events.MouseEvent`

### getCtrlKey

    public boolean getCtrlKey()

  Specified by:
    `getCtrlKey` in interface `org.w3c.dom.events.MouseEvent`

### getAltKey

    public boolean getAltKey()

  Specified by:
    `getAltKey` in interface `org.w3c.dom.events.MouseEvent`

### getShiftKey

    public boolean getShiftKey()

  Specified by:
    `getShiftKey` in interface `org.w3c.dom.events.MouseEvent`

### getMetaKey

    public boolean getMetaKey()

  Specified by:
    `getMetaKey` in interface `org.w3c.dom.events.MouseEvent`

### getButton

    public short getButton()

  Specified by:
    `getButton` in interface `org.w3c.dom.events.MouseEvent`

### getRelatedTarget

    public org.w3c.dom.events.EventTarget getRelatedTarget()

  Specified by:
    `getRelatedTarget` in interface `org.w3c.dom.events.MouseEvent`

### initMouseEvent

    public void initMouseEvent(java.lang.String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               org.w3c.dom.views.AbstractView viewArg,
                               int detailArg,
                               int screenXArg,
                               int screenYArg,
                               int clientXArg,
                               int clientYArg,
                               boolean ctrlKeyArg,
                               boolean altKeyArg,
                               boolean shiftKeyArg,
                               boolean metaKeyArg,
                               short buttonArg,
                               org.w3c.dom.events.EventTarget relatedTargetArg)

  Specified by:
    `initMouseEvent` in interface `org.w3c.dom.events.MouseEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.